PETSc version 3.17.4
Fix/Edit manual page

# MatInitializePackage

This function initializes everything in the Mat package. It is called from PetscDLLibraryRegister_petscmat() when using dynamic libraries, and on the first call to MatCreate() when using shared or static libraries.

### Synopsis

    PetscErrorCode  MatInitializePackage(void)

### See Also

PetscInitialize(), MatFinalizePackage()

### Level

developer

### Location

src/mat/interface/dlregismat.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages